package net.argius.filetool;

import java.io.*;

/**
 * 解凍処理。
 */
public interface Decompressor {

    /**
     * 解凍する。
     * @param os 解凍先の出力ストリーム
     * @throws IOException 入出力エラーが発生した場合
     */
    void decompress(OutputStream os) throws IOException;

    /**
     * 終了処理。
     * @throws IOException 入出力エラーが発生した場合
     */
    void close() throws IOException;

}
